### Instructions

The github issue tracker is for bug reports and feature requests.
- Use a **concise** yet **descriptive** title
- Choose the corresponding template block below and fill it in, replacing or deleting text in italics (surrounded by `_`) as appropriate
- Delete the other template blocks and this header.
- For issues related to executing GATK-SV on a platform other than Google Cloud, refer to the [Alternative Backends](https://github.com/broadinstitute/gatk-sv/tree/master#alternative-backends) section of the README.

----

## Bug Report

### Affected module(s) or script(s)
_Module/script name(s), special parameters?_

### Affected version(s)
- [ ] Latest public release version [version?]
- [ ] Latest master branch as of [date of test?]

### Description 
_Describe the problem below. Provide **screenshots** , **stacktrace** , **logs** where appropriate._

#### Steps to reproduce
_Tell us how to reproduce this issue. If possible, include command lines that reproduce the problem._

#### Expected behavior
_Tell us what should happen_

#### Actual behavior
_Tell us what happens instead_

----

## Feature request

### Module(s) or script(s) involved
_Module/script name(s), special parameters?_

### Description
_Specify whether you want a modification of an existing behavior or addition of a new capability._
_Provide **examples**, **screenshots**, where appropriate._

----
